Rygel.MediaObject.apply_replacements – librygel-server Reference Manual

# apply_replacements

## Description:

public static string? apply_replacements (HashTable<string,string> replacement_pairs, string? source_string)

Replace each key in replacement_pairs with its corresponding value in the source_string and return the result.

## Parameters:

replacement_pairs | HashTable of variable -> substitution pairs
source_string | String that shall have the replacements applied to.

## Returns:

null if source_string is null, string with all replacements applied otherwise.